Subject: Re: bug#14974: 24.3.50; adaptive-wrap 0.3 calls potentially void function easy-menu-add-item

From: Stefan Monnier <[email-masked]>
Date: Mon, 29 Jul 2013 21:08:48 -0400

> You mean (lambda () (interactive) (adaptive-wrap-prefix-mode 'toggle))?

No, I mean `adaptive-wrap-prefix-mode', which will already do the same.

> Then the check box remains in the menu after unloading adaptive-wrap.el,

Big deal.  Don't waste code on such a non-issue that will only affect
maybe 10 people in the next century, 9 of whom won't even notice it
because they won't look at the menu.

> but it becomes a noop.  Making visibility depend on whether the
> feature is present is, AFAICS, a way of avoiding a separate
> adaptive-wrap-unload-function.  Or am I wrong about this, or do you
> mean something else?

As I said, unloading a package is largely broken, so some left-over
entries in a menu are the least of your worries in this respect.

        Stefan